'use strict';

const Alexa = require('alexa-sdk');
const projects = require('../../data/projects.json');

exports.handler = function(event, context) {
  const alexa = Alexa.handler(event, context);
  alexa.registerHandlers(startHandlers);
  alexa.execute();
};

const startHandlers = {
  'LaunchRequest': function() {
    this.response.speak("Welcome to Front End Development Updates. Say give me updates on node.js or give me the latest updates.");
    this.emit(':responseReady');
  },

  'ProjectUpdates': function() {
    const project = this.event.request.intent.slots.project_name.value;

    this.response.speak("Hey " + project);
    this.emit(':responseReady');
  },

  'LatestUpdates': function() {
    this.response.speak("Heya");
    this.emit(':responseReady');
  },

  'AMAZON.StopIntent': function() {
    this.response.speak('Bye');
    this.emit(':responseReady');
  },

  'AMAZON.CancelIntent': function() {
    this.response.speak('Bye');
    this.emit(':responseReady');
  },

  'Unhandled': function() {
    this.response.speak("Sorry, I didn't get that.");
    this.emit(':responseReady');
  },

  'SessionEndedRequest': function() {
    console.log('Session ended with reason: ' + this.event.request.reason);
  }
};
